Page MenuHomePhabricator

Duplicate refs inside <references> don't cause a citation error
Closed, ResolvedPublic

Description

The code

...
<ref name=a />
...
<references>
<ref name=a>fjfjfjfj</ref>
<ref name=a>jhfjhf</ref>
</references>

does not throw any site error. It should be "Mediawiki:Cite error references duplicate key".
Could you please fix this?
By the way, something weird: In hewiki this code does not throw an error and is not included in tracking category (1), but beeing written in hebrew does not throw an error and is included in tracking category (2), not including the case where the double ref has the same text.
My guess - php finds this error, but somehow it is not written anywhere.
Thank you in advance.

Details

Related Gerrit Patches:

Event Timeline

IKhitron raised the priority of this task from to Needs Triage.
IKhitron updated the task description. (Show Details)
IKhitron added subscribers: IKhitron, Amire80, Kipod and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2015, 12:59 PM

Thanks for reporting. Why would you expect it to create an error? (Actual outcome and expected outcome always welcome, to avoid misunderstandings.)

From the same reason of T85386 - "Show an error if a named <ref> is defined multiple times with different content"

IKhitron updated the task description. (Show Details)Oct 23 2015, 1:43 PM
IKhitron set Security to None.
IKhitron renamed this task from Invisible citation error to Invisible citation errors.Oct 23 2015, 7:41 PM
IKhitron renamed this task from Invisible citation errors to Invisible citation error.
IKhitron updated the task description. (Show Details)
IKhitron updated the task description. (Show Details)

Change 249401 had a related patch set uploaded (by Bartosz Dziewoński):
Detect duplicate <ref> definitions inside <references> too

https://gerrit.wikimedia.org/r/249401

matmarex renamed this task from Invisible citation error to Duplicate refs inside <references> don't cause a citation error.Oct 28 2015, 2:26 PM
matmarex claimed this task.
matmarex triaged this task as Medium priority.Oct 28 2015, 6:44 PM

Change 249401 merged by jenkins-bot:
Detect duplicate <ref> definitions inside <references> too

https://gerrit.wikimedia.org/r/249401

matmarex closed this task as Resolved.Nov 21 2015, 12:00 PM

The patch was (finally!) merged and will be deployed to Wikimedia wikis with MediaWiki version 1.27.0-wmf.8, on 8-10 December 2015, per https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap. (Yes, that's in three weeks, there will be no regular deployments during the next two weeks because of US holidays.)

matej_suchanek removed a project: User-notice.
matej_suchanek removed a subscriber: gerritbot.

Sorry, @matmarex, does not work in all the cases. Try

jkghjkgj<ref name=a/>ghjgkgk
{{#tag:references|<ref name=a>jkhkhk</ref><ref name=a>jkhkghfhk</ref>}}

Change 262330 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Keep error messages about duplicate refs when fixing out-of-order tags

https://gerrit.wikimedia.org/r/262330